# module IO::generic_writable

### Public Instance Methods

strio << obj → strio
Source

    #define strio_addstr rb_io_addstr

See `IO#<<`.

print() → nil
print(obj, ...) → nil
Source

    #define strio_print rb_io_print

See `IO#print`.

printf(format_string [, obj, ...] ) → nil
Source

    #define strio_printf rb_io_printf

See `IO#printf`.

puts(obj, ...) → nil
Source

    #define strio_puts rb_io_puts

See `IO#puts`.

syswrite (p1)
Source

    #define strio_syswrite rb_io_write

See `IO#write`

write_nonblock (p1, p2 = {})
Source

    static VALUE
    strio_syswrite_nonblock(int argc, VALUE *argv, VALUE self)
    {
        VALUE str;

        rb_scan_args(argc, argv, "10:", &str, NULL);
        return strio_syswrite(self, str);
    }

See `IO#write_nonblock`